> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Proxy List By Search

> This endpoint retrieves a list of available proxies for a user based on provided search parameters.
The search parameters allow the user to filter the proxies based on protocol, version, format, and associated service ID.
The function returns proxies in various formats suitable for different purposes.




## OpenAPI

````yaml get /public/user/proxy/list_by_search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy/list_by_search:
    get:
      tags:
        - Proxy
      summary: Generate Proxy List By Search
      description: >
        This endpoint retrieves a list of available proxies for a user based on
        provided search parameters.

        The search parameters allow the user to filter the proxies based on
        protocol, version, format, and associated service ID.

        The function returns proxies in various formats suitable for different
        purposes.
      parameters:
        - name: list_protocol
          in: query
          description: >-
            Desired protocol for the proxies you want returned in the search
            list.
          schema:
            type: string
            default: http
            enum:
              - http
              - socks5
        - name: list_version
          in: query
          description: IP version preference.
          schema:
            type: string
            default: ipv4
            enum:
              - ipv4
              - ipv6
        - name: list_format
          in: query
          description: >-
            Desired format for displaying the proxies you want returned in the
            search.
          schema:
            type: string
            default: standard
            enum:
              - standard
              - http
              - socks5
              - socks5h
        - name: proxy_user_id
          in: query
          description: >-
            ID of the proxy_user you want to use to authenticate with the
            proxies
          schema:
            type: string
        - name: list_authentication
          in: query
          description: Authentication ID for the proxies you want returned in the search.
          schema:
            type: string
            default: username_and_password
            enum:
              - username_and_password
              - ip_address
              - proxy_specific
        - name: proxy_id
          in: query
          description: ID of the proxy
          schema:
            type: integer
            format: string
        - name: service_id
          in: query
          description: Service ID associated with the proxy
          schema:
            type: string
        - name: proxy_ip_address
          in: query
          description: Main IP Address of the proxy
          schema:
            type: string
        - name: subnet_id
          in: query
          description: Main subnet of the proxy
          schema:
            type: string
        - name: subnet_id_v6
          in: query
          description: Main subnet of the proxy
          schema:
            type: string
        - name: ip_address_id_v4
          in: query
          description: IPv4 address ID of the proxy
          schema:
            type: string
        - name: ip_address_id_v6
          in: query
          description: IPv6 address ID of the proxy
          schema:
            type: string
        - name: http_formatted
          in: query
          description: Formatted http proxy string
          schema:
            type: string
        - name: proxy_http_port
          in: query
          description: http port of the proxy
          schema:
            type: integer
        - name: proxy_socks5_port
          in: query
          description: socks5 port of the proxy
          schema:
            type: integer
        - name: proxy_status
          in: query
          description: Current status of the proxy
          schema:
            type: string
            enum:
              - available
              - in_use
              - reserved
              - waiting
              - pending_deletion
        - name: proxy_type
          in: query
          description: Type of the proxies you want returned in the search
          schema:
            type: string
            enum:
              - isp
              - datacenter
              - residential
              - mobile
        - name: proxy_protocol
          in: query
          description: Version of the proxies you want returned in the search
          schema:
            type: string
            enum:
              - ipv4
              - ipv6
              - dual
        - name: country_id
          in: query
          description: >-
            ISO Country Code [(ISO 3166-1
            alpha-2)](https://www.iban.com/country-codes)
          schema:
            type: string
        - name: country_name
          in: query
          description: Name of the country the proxy is located in
          schema:
            type: string
        - name: subdivision_id
          in: query
          description: >-
            ISO Country Code [(ISO
            3166-2)](https://unece.org/trade/cefact/unlocode-code-list-country-and-territory)
          schema:
            type: string
        - name: subdivision_name
          in: query
          description: Name of the subdivision the proxy is located in
          schema:
            type: string
        - name: city_id
          in: query
          description: ID of the city the proxy is located in
          schema:
            type: integer
        - name: city_name
          in: query
          description: Name of the city the proxy is located in
          schema:
            type: string
        - name: city_timezone
          in: query
          description: Timezone of the City the proxy is located in
          schema:
            type: string
        - name: city_example_postcode
          in: query
          description: Example postcode of the City the proxy is located in
          schema:
            type: string
        - name: city_latitude
          in: query
          description: Latitude of the City the proxy is located in
          schema:
            type: string
        - name: city_longitude
          in: query
          description: Longitude of the City the proxy is located in
          schema:
            type: string
        - name: asn_id
          in: query
          description: Unique identifier of the ASN of the proxy
          schema:
            type: string
        - name: asn_name
          in: query
          description: Name associated with the ASN of the proxy
          schema:
            type: string
        - name: proxy_last_update_datetime
          in: query
          description: Datetime the proxy was last updated
          schema:
            type: string
            format: date-time
        - name: per_page
          in: query
          description: Number of items per page for pagination
          schema:
            type: integer
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
        - name: sort_by
          in: query
          description: Key for sorting or random.
          schema:
            type: string
      responses:
        '200':
          description: Successfully generated proxy list.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: List of proxies.
                    example:
                      - socks5://user:password@17.253.94.0:8080
                    items:
                      type: string
                  message:
                    type: string
                    description: Success message.
                    example: Proxy list successfully generated.
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````